Create Privilege Group (V2)
This operation creates a privilege group with the specified privileges.
POST/v2/vectordb/privilege_groups/create
https://${CLUSTER_ENDPOINT}
📘ノート
${CLUSTER_ENDPOINT}を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。- エンドポイントを取得するには、Describe Cluster V2 APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT=""
パラメータ
Authorizationstringheader必要
認証トークンは、適切な権限を持つ APIキー、または コロンで連結したユーザー名とパスワードのペア(例: username:password)である必要があります。プロジェクトエンドポイントを使用する場合は、十分な権限を持つ有効なAPIキーのみが適用されます。
値の例: Bearer {{TOKEN}}
リクエスト・ボディapplication/json
privilegeGroupNamestring必要
作成する特権グループの名前。
privilegesarray
グループに含める特権名のリスト。
[]privilegesstring
(近日追加予定)
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/privilege_groups/create" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"privilegeGroupName": "my_priv_group",
"privileges": [
"Insert",
"Search"
]
}'
レスポンス200 OK - application/json
なし
codeinteger
レスポンスコード。
dataobject
エラーメッセージを返します。
codeinteger
レスポンスコード。
messagestring
エラーメッセージ。
Successjson
{
"code": 0,
"data": {}
}